Ubuntu

Launcher - Workspace switcher should not be in the Launcher by default

Reported by John Lea on 2011-10-05
190
This bug affects 75 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Critical
John Lea
Compiz
Low
Didier Roche
Unity
High
Marco Trevisan (Treviño)
compiz (Ubuntu)
High
Didier Roche
gnome-control-center-unity (Ubuntu)
High
Didier Roche
unity (Ubuntu)
Critical
Marco Trevisan (Treviño)

Bug Description

This change request is now summarized in a google doc, see https://docs.google.com/a/canonical.com/document/d/1cbPd9WSSbFHg4Z7BSOQxDKusMe2aJjj0FEF2AMxNOZM/edit#

-----------------------------------------
Workspace switcher should not be in the Launcher by default.

- The workspace switcher should not be in the Launcher by default (both on fresh installs and upgrades)

- Dragging and dropping the workspace switcher into the Trash should remove the icon from the Launcher and disable workspaces

- It should be possible to drag and drop the workspace icon to place it into any position in the Launcher

- If the workspace switcher is not present in the Launcher, all other workspace functions and touchpoints on the desktop should be disabled. These touchpoints are:

-- The Alt+Space window accessibility menu
-- The 'right click on window title bar' menu
-- The workspace shortcuts listed in the SUPER key keyboard shortcuts overlay
-- All workspace related keyboard shortcuts

Are there any other workspace touchpoints that I have missed? If so please add them in comments on this bug and I will update the bug description.

------------------------------------
Preferred method of enabling workspaces

- The workspace switcher should be available in the Dash App Lens, so that users can add the workspace switcher to the Launcher by dragging and dropping from the Dash.

- On a fresh install, the workspace switcher should appear underneath the "Most Frequently Used" category header in the App Lens. As a user starts to use applications the normal ranking algorithm should apply, so if a user does not use the workspace switcher it should drop down the "Most Frequently Used" order, until it eventually no longer appears underneath this category header.

- A user should also be able install workspaces from the 'Themes and Tweaks' section of the Software Centre

------------------------------------
Fallback method of enabling workspaces

- Add checkbox to 'System Settings / Appearance / Behaviour' to enable workspaces

- This should be displayed as:

Reveal sensitivity Low ----|---------High
------
Enable workspaces [] Add show desktop icon to Launcher []
------
Restore Default Behaviours

John Lea (johnlea) on 2011-10-05
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → Medium
status: New → Fix Committed
tags: added: onew udo
John Lea (johnlea) on 2011-10-05
description: updated
Changed in ayatana-design:
status: Fix Committed → Incomplete
Robert Carr (robertcarr) wrote :

I have a few concerns about this.

1. This mostly relates to discoverability. I think the workspace switcher is a pretty compelling feature, especially with the switch away from a task tray type design like we had in the panel to the launcher. Once you start to have a lot of windows open, it becomes really hard to manage them with just alt-tab and the launcher.... I'm a little concerned that without an icon there in the launcher, 99% of users would never even discover workspaces.

I don't think having it in the app lens most frequently used is really helpful in regards to this. I imagine most new Ubuntu users, would run several applications (Firefox, Banshee, LibreOficce, etc...) from the launcher, before they even open the Dash for the first time! After this happens, workspaces (which to me are a pretty key component of the unity experience), have become an entirely non discoverable feature to the user

2. A little concerned about users losing windows, and not knowing the keyboard shortcuts to navigate workspaces...(or knowing what a workspace is).

What is the rationale behind removing it by default? I can see that maybe it doesn't belong with the rest of the applications, as really it's more akin to say the Trash Icon, maybe it's behavior on the launcher should be tweaked. It should probably be removable, perhaps it should show up in the app lens. From my perspective we lose a lot more than we gain by taking it off the default view though.

John Lea (johnlea) wrote :

@robertcarr;

Agreed that this change has some implications that need to be considered.

> 2. A little concerned about users losing windows, and not knowing the keyboard shortcuts to navigate workspaces...(or
> knowing > what a workspace is).

If the workspace switcher was not present in the launcher all other workspace functions would be disabled (basically workspaces would not exist), so it would not be possible for a user to move a window to another workspace. If this change is implemented there are a large number of workspace touchpoints that would need to be identified and modified.

> What is the rationale behind removing it by default?

Many users use workspaces, but equally there is a large percentage of users who never use workspaces. This enables users to choose if they would like to enable workspaces, so avoids all the UX costs associated with workspaces for users who do not need this functionality. UX costs are increased complexity and added potential for confusion, superfluous elements for some users when in a multi-monitor environment, larger learning curve for users switching to Ubuntu, etc...

Omer Akram (om26er) wrote :

I would love this as well, "a more cleaner launcher", Oh yeah I don't do Workspace switching :-p

John Lea (johnlea) on 2011-10-11
description: updated
Changed in ayatana-design:
status: Incomplete → Fix Committed
Changed in unity:
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed
manny (estelar57) wrote :

Hmm, there were also proposals of gnome-shell style "dynamic workspaces" or better yet, something like firefox's panorama for ubuntu (mockup):
http://www.techdrivein.com/2011/03/how-about-firefox-4s-panorama-like.html

or KDE4's Activities, which are a lot more useful than just workspaces.

So useful in fact that they have even become a main feature of their new plasma active UI:
http://www.kde.org/announcements/plasma-active-one/

Activities are actually pretty similar to user sessions, but with better management and use of resources...

Anyway, if an user feels he only uses 1 workspace then the option to remove it would be welcome. But as by default am not that sure yet.

John Lea (johnlea) on 2011-10-18
Changed in unity:
milestone: none → backlog
tags: added: udp
John Lea (johnlea) on 2011-10-18
Changed in ayatana-design:
status: Fix Committed → Triaged
Mirco Müller (macslow) on 2011-11-02
Changed in unity:
assignee: nobody → Jason Smith (jassmith)
John Lea (johnlea) on 2011-11-02
Changed in ayatana-design:
status: Triaged → Fix Committed
Changed in unity:
importance: Undecided → Medium
Changed in unity (Ubuntu):
importance: Undecided → Medium
Changed in unity:
status: Confirmed → Triaged
Changed in unity (Ubuntu):
status: Confirmed → Triaged
Gerry Boland (gerboland) on 2012-01-07
Changed in unity-2d:
importance: Undecided → Medium
Changed in unity-2d (Ubuntu):
importance: Undecided → Medium
Changed in unity-2d:
status: New → Triaged
Changed in unity-2d (Ubuntu):
status: New → Triaged
John Lea (johnlea) on 2012-02-03
Changed in ayatana-design:
importance: Medium → High

Generally I very much like the idea of having advanced window management (or other tools) represent themselves as small "apps" even though they may really be a shim for some deeper hooks in the shell/wm.

My concern, for Precise in particular, is that we don't have time to implement it nicely. To avoid spaghettifying the code (both compiz, unities, and lenses) we'd need some sensible abstraction and encapsulation.

John Lea (johnlea) on 2012-02-21
Changed in ayatana-design:
importance: High → Critical
John Lea (johnlea) wrote :

@kamstrup; bug #681348 also has the same requirements e.g. a optional element of system functionality needs to be presented to the user as if it is an application. Perhaps these two bugs should be tackled at the same time?

Didier Roche (didrocks) wrote :

guys, this particular bug seems way to late on the cycle (we need to focus on bug fixes) and this a feature, touching a lot of part of the ui and system (distro need to work on it as well), integrated/syncing with -2d and such. This interaction need to be tested on upgrade, and other configuration (from LTS-> LTS, from oneiric -> precise). So I would prefer that to be defered to early 12.10 so that we can get a good integration of it, and make the current focus on all the other big issues we have in the ui (crashes, graphical artefacts, wrong unity behavior).

John Lea (johnlea) wrote :

didrocks; agreed, but remember the flip side is that they whole current workspaces implementation itself is very buggy, and making workspace a option rather than a default on a fresh install at a stroke removes a whole bucket load of bugs. However I also agree with all your points, so I'll defer to platform's decision on this one.

Omer Akram (om26er) wrote :

I receive alot of bugs regrading this particular part of the desktop. Disabling WS switcher might turnout to be a better decision for the long term i.e. the next five years of the LTS. it may reduce a certain percentage of bug reports for Unity.

Sebastien Bacher (seb128) wrote :

one things we could do easily would be to drop the icon from the launcher and set the ws number at 1 by default, but the side effect is that we don't have an ui to change the number of workspaces ... having a small gtk gui accessible in the workspace switcher should right click list would be easy to get though

the workflow to get to use workspaces would be to dnd the icon to the dash, use the list to open the "change number of ws" small applications and be good, a such small frontend is probably not a lot of code and not really risky (we can copy i.e the gnome-panel code) and might be a middle way solution for the lts

Didier Roche (didrocks) wrote :

Just to be clear, the workspace switcher icon is not like any other application, it's a special icon. So some code is needed in 2D and 3D to make is appearing/removing depending on the number of ws (or for triggering or not the expose effect if we keep it always).

Adding a quickist to it to launch an external application to define the number of workspace is definitively doable. I just want to emphase it's not lightweight and need testing. If this is a real priority, we can see if the FFe/UIFe (as it won't be out before thursday) will get acked and try to get to it.

It will surely drop other work items/features/bug fixes on the cycle though.

Wouldn't be easier as step 1 to just allow to enable/disable this from g-c-c?

Martin Pitt (pitti) wrote :

I'm sorry, but I just have to put a rant here. Can you pretty please stop damaging multiple workspaces? Why do you hate them so much?

 * You already rendered the ws switcher in the Launcher pretty much useless. It now takes two seconds to reveal the launcher, then you need to click on the ws switcher, then move your mouse aaaaall the way to the other end of the screen and then double(!) click on the ws you want. This is ridiculous, and nobody who uses work spaces will actually endure this more than once.

 * Recently you broke the standard key combination for changing WS to Super+Shift+Cursor, which nobody knows and everyone is now complaining that you broke it. This is pointless and taking away the method to switch WS which is efficient and sensible.

 * Now you propose to completely take away the WS switcher from the Launcher entirely, which means that you effectively stop new users from learning that they exist, and force them to cram everything to one desktop again.

So from these it's clear that you work hard on effecively removing multiple workspaces. Instead of pretending that they still exist, can you please revert the standard key combination to Ctrl+Alt+Cursor, revert the launcher icon to a sane behaviour (just click on the WS that you want in the launcher, just as every other desktop does it), and instead we just provide an option in the control center "use multiple workspaces" which is off by default?

On 24/02/12 09:41, Martin Pitt wrote:
> I'm sorry, but I just have to put a rant here. Can you pretty please
> stop damaging multiple workspaces? Why do you hate them so much?

Yes, this was a rant, which is unbecoming, Martin.

A calmer version of your arguments would be welcome on
unity-design@l.u.c. Let's take it up there.

Mark

Simeon (simeon5) wrote :

I really hope the old shortcut comes back or at least an option to configure them. I have just gotten used to them and see no reason for them to be changed.

Omer Akram (om26er) wrote :

they are back already I think

An update on the situation: To my understanding the intention is definitely not to kill workspaces (and they should be fixed for keyboards as well now). The thing is that the current ws switcher button in the launcher is highly dangerous to novice users. I've on two different occasions watched family members being "trapped" in it, unable to figure out how to get out.

I wrote a proposal on the unity-dev list on how to do a long term solution of the more general problem of giving access to some of the more advanced features of the wm/system: See the "RFC: syslets" thread here https://lists.launchpad.net/unity-dev/msg00438.html

John Lea (johnlea) on 2012-07-18
description: updated
John Lea (johnlea) on 2012-07-19
description: updated
Changed in unity:
assignee: Jason Smith (jassmith) → nobody
importance: Medium → High
Changed in unity (Ubuntu):
importance: Medium → High
Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Omer Akram (om26er) wrote :

wontfix for unity-2d since the package no longer exists in Quantal. I will not touch the upstream task though ;-)

Changed in unity-2d (Ubuntu):
status: Triaged → Won't Fix
John Lea (johnlea) on 2012-08-30
description: updated
Changed in unity:
status: Triaged → In Progress
Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity:
milestone: backlog → 6.4
Changed in unity (Ubuntu):
status: Triaged → In Progress
Changed in unity:
milestone: 6.4 → 6.6
John Lea (johnlea) on 2012-09-05
description: updated
Jeremy Bicha (jbicha) wrote :

Hi, I hope this isn't planned to land for Ubuntu 12.10. UI freeze was over 2 weeks ago, documentation string freeze is Thursday, and no UIFe has even been asked for. There is a fairly large amount of workspace content in the Ubuntu Desktop Guide, which would need to be rewritten.

Changed in unity:
status: In Progress → Fix Committed
Neil J. Patel (njpatel) wrote :

Although the code landed, we have included a merge in the version of Unity being uploaded that reverts this change and does indeed show the workspace switcher, so to users there will be no visible change from 12.04.

Omer Akram (om26er) on 2012-09-20
no longer affects: unity/7.0
Launchpad Janitor (janitor) wrote :
Download full text (9.2 KiB)

This bug was fixed in the package unity - 6.6.0-0ubuntu1

---------------
unity (6.6.0-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
    - Fixes non-escaped character sequences in dash previews (LP: #1039020)
    - Updated background layer for preview cover-art and details panels
      to be 10% low-light
    - Expand a PlacesGroup if it is the only category that contains results
      (LP: #950710)
    - Update unity autopilot tests to match autopilot API
    - Updated the convert files to fix some typos in the key names
    - Add gmodule dependency
    - Activate proper result if the categories aren't displayed in-order
      (LP: #1040101)
    - Refactor device launcher icons (LP: #713423)
    - LauncherController: make the controller enable the launcher struts,
      based on hide-mode option (LP: #1044005)
    - Launcher: make always possible to drag an icon to the bottom or top
      of its sub list (LP: #1043968)
    - Don't desat bfb/hud icon in DNDReset (LP: #1043963)
    - Progressively adjust the speed of the minimize animation. First
      time it is used is slower, then speeds up the more it is used.
      (LP: #1017510)
    - Implement new ordering of categories for home lens. (LP: #1043915)
    - UnityWindow now implements ScaleWindowInterface (LP: #876017)
    - Launcher: restore an icon position after that the dragging has been
      cancelled (LP: #955561)
    - LauncherDragWindow: cancel drag on window mapped/unmapped
      (LP: #1044723)
    - Now there is a check of an override color in RefreshColor (which is
      called when a PropertyNotify event happens). Also added a check in
      FullySaturateColor to a void division by zero. (LP: #975350)
    - Queue redraw after cover-art texture is updated from a url/file source.
      (LP: #1043947)
    - Fixed ability to delete glib::Source wrapper during its callback
      (LP: #1044823)
    - Close preview when dash is hidden. (LP: #1045298)
    - LauncherModel: rewrite the Reordering functions to keep the icon
      priority deltas (LP: #761155)
    - Make sure we can pass extra hints when activating preview actions.
      (LP: #1046352)
    - UnityWindow: scale window code improved (LP: #1033935)
    - The mouse will now cause the HUD buttons to change selection
      (LP: #1042692)
    - "Alt+Space" shortcut to reveal the window menu is not hardcoded, but a
       Compiz key option. " (Hold)" should also be translated. Made all
       Compiz plug-in names and all Compiz plug-in option names in
       unityshell.cpp static constants.
    - remove unity --reset, it's not anymore really needed now that we are
      in stable days of unity and we moved to gsettings
    - Removed the variables 'oldPrev' and 'oldNext' which got assigned the
      value NULL, but then were never used
    - Fixed the size of the previews to 770x380 pixels. (LP: #1045243)
    - UnityWindow: use smart pointers, use static close_icon (with dynamic
      state) and PanelStyle context (LP: #1033935) (LP: #1045127)
      (LP: #1046124) (LP: #1046126)
    - Remove everything in the #ifndef USE_MODERN_COMPIZ_GL ifdefs and remove
      the ifdefs alltogether. unity now requires compiz...

Read more...

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
John Lea (johnlea) on 2012-10-10
Changed in unity (Ubuntu):
importance: High → Critical
Changed in unity:
importance: High → Critical
status: Fix Released → Triaged
Changed in unity (Ubuntu):
status: Fix Released → Triaged
John Lea (johnlea) on 2012-10-12
no longer affects: unity-2d (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-2d (Ubuntu):
status: New → Confirmed
YannUbuntu (yannubuntu) wrote :

affecting 12.10. There is still no easy way to remove the Workspace Switcher :-(

2012/10/22 YannUbuntu <email address hidden>:
> affecting 12.10. There is still no easy way to remove the Workspace
> Switcher :-(

The easiest way is disabling the workspaces in CCSM.

Cory Dodt (corydodt) wrote :

I'm a user who uses workspaces heavily but still hates the workspaces button. It's useless real estate to me. I want to get rid of it *without* losing my ability to switch workspaces with the keyboard.

> I'm a user who uses workspaces heavily but still hates the workspaces
> button. It's useless real estate to me. I want to get rid of it
> *without* losing my ability to switch workspaces with the keyboard.

Unfortunately this possibility had to be removed from 12.10, it will
be possible in 13.04, though.

Stephen M. Webb (bregma) on 2012-12-11
no longer affects: unity-2d
no longer affects: unity-2d (Ubuntu)
Didier Roche (didrocks) wrote :

Adding the g-c-c task

Changed in gnome-control-center (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Didier Roche (didrocks)
jura (zinlun) on 2013-01-07
Changed in unity:
status: Triaged → Fix Released
Changed in gnome-control-center (Ubuntu):
status: Triaged → Fix Released
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
Adolfo Jayme (fitoschido) wrote :

@jura: I see no code from you. Please don't play with bug statuses.

Changed in unity (Ubuntu):
status: Fix Committed → Triaged
Changed in gnome-control-center (Ubuntu):
status: Fix Released → Triaged
affects: unity → totem (Ubuntu)
Changed in totem (Ubuntu):
milestone: 6.6 → none
Adolfo Jayme (fitoschido) wrote :

Sorry for the noise. But I don't have permissions to re-triage this for unity.

no longer affects: totem (Ubuntu)
Changed in unity:
status: New → Confirmed
Omer Akram (om26er) on 2013-01-07
Changed in unity:
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Changed in compiz:
status: New → In Progress
milestone: none → 0.9.9.0
no longer affects: compiz
Changed in compiz:
status: New → In Progress
milestone: none → 0.9.9.0
Changed in compiz (Ubuntu):
status: Confirmed → In Progress
Changed in compiz:
assignee: nobody → Didier Roche (didrocks)
Changed in compiz (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in compiz (Ubuntu):
importance: Undecided → High
Changed in compiz:
importance: Undecided → Low
Didier Roche (didrocks) on 2013-01-15
affects: gnome-control-center (Ubuntu) → gnome-control-center-unity (Ubuntu)
Changed in gnome-control-center-unity (Ubuntu):
status: Triaged → Fix Released
Changed in compiz:
status: In Progress → Fix Committed
Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz at revision 3562, scheduled for release in Compiz 0.9.9.0

Note that the change is only applied for Ubuntu package builds.

Changed in compiz (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.9~daily13.01.17-0ubuntu1

---------------
compiz (1:0.9.9~daily13.01.17-0ubuntu1) raring; urgency=low

  [ Didier Roche ]
  * Launcher - Workspace switcher should not be in the Launcher by
    default (LP: #868423)

  [ MC Return ]
  * Workspacenames plugin: Requires text plugin to work (LP: #1100172)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3564
 -- Automatic PS uploader <email address hidden> Thu, 17 Jan 2013 07:03:41 +0000

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Dražen Lučanin (kermit666) wrote :

I must say I agree with Martin in comment 13 on this one. Workspaces are a great productivity booster and I think the right approach isn't to hide them away from users, but to improve them.

 - if first-time users get confused when they open the all workspaces view, show a tooltip for the first time, explaining how to use it
- alternatively, switch the right-left button behaviour so that a left-click goes back to the desktop - when testing something new, I usually start by left-clicking things

The only thing that hiding the workspace launcher button achieves is prevent new users from learning about it (I find this approach of hard-coding the icon inside the Apps lens shaky at the least) and frustrate old users because it adds another thing that needs to be set up before the Ubuntu can be used normally.

Also, I see this option of auto-removing all the extra desktops when removing the workspace icon as another can of worms. What if I just want to remove it because I use the keyboard shortcuts and it takes up launcher space?

Josh Burghandy (kid1000002000) wrote :

I would echo Drazen's concerns. As a power user, I use keyboard shortcuts extensively and so do not need the workspace switcher icon visible.

J Phani Mahesh (phanimahesh) wrote :

Removing the workspace switcher in the launcher and disabling multiple workspaces should be managed separately.

The option in system settings can do both, to prevent newbies from getting trapped, but for power users, most will (probably) prefer to be able to still use keyboard shortcuts and not have the icon in the launcher.

Is it a bit too late to request this, since I see considerable progress on this? If it is, can this be re-considered?

Zisu Andrei (matzipan) wrote :

I would like to see the reasons why this is removed because it seems like a poor choice to me. This is one of the best features of Unity and lots of new users will find it very attractive.

Dražen Lučanin (kermit666) wrote :

I also think that one of the reasons why this was potentially
confusing to new users (and should therefore be targeted for
improvement instead of just tucking the icon away) is the static
nature of Unity's worspace switcher icon - the switcher icon back in
Gnome classic (in the bottom panel) indicated the desktop that's
currently active and even showed small icons representing some
applications (sort of like a small cheat sheet - "ah, my calculator is
to the right"). A person could even move apps between workspaces by
moving icons from there without opening to the expose.

If such an icon was added to the indicator applets in Unity or the new
launcher icon somehow improved to change dynamically, maybe the
feature wouldn't seem so daunting to new users. As an additional bonus
it would bring joy to old users.

On Mon, Jan 21, 2013 at 5:58 PM, Matzipan <email address hidden> wrote:
> I would like to see the reasons why this is removed because it seems
> like a poor choice to me. This is one of the best features of Unity and
> lots of new users will find it very attractive.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/868423
>
> Title:
> Launcher - Workspace switcher should not be in the Launcher by default
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/868423/+subscriptions

Changed in unity:
importance: Undecided → Medium
importance: Medium → High
Changed in compiz:
status: Fix Committed → Fix Released
Stephen M. Webb (bregma) on 2013-02-06
Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity:
milestone: none → 7.0.0
status: Triaged → In Progress
Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 6.12.0daily13.02.19.1-0ubuntu1

---------------
unity (6.12.0daily13.02.19.1-0ubuntu1) raring; urgency=low

  [ Brandon Schaefer ]
  * Multi-monitor: Mousepointer hangs when passing between monitors,
    although no Launcher is there (regression) (LP: #1120223)
  * Sticky edges should only use horizontal mouse movement (LP: #982543)

  [ Marco Trevisan (Treviño) ]
  * Launcher - Workspace switcher should not be in the Launcher by
    default (LP: #868423)
  * [regression] Unlocking a running application, removes it from the
    Launcher (LP: #1122311)
  * Launcher, Workspaces - dragging and dropping the workspaces icon on
    to the trash should switch Workspaces off (LP: #1118271)

  [ Chris Townsend ]
  * webapp: alt-tab gets "stucked" on the browser rather than going to
    the next entry (LP: #1070715)

  [ Nick Dedekind ]
  * Dash - the "Decade" and "Size" dash filter category widgets are
    broken (LP: #841899)
  * Dash Places group is shining on quick mouse over (LP: #1119487)

  [ Lukas Vacek ]
  * Show window list when right clicking an icon in launcher - enables
    quick window switching (LP: #1107866)

  [ Marco Trevisan (Treviño) <mail@3v1n0.net>, Lukas Vacek ]
  * Show window list when right clicking an icon in launcher - enables
    quick window switching (LP: #1107866)

  [ Andrea Azzarone ]
  * unity launcher vanishes when switching to mirrored displays (LP:
    #991637)
  * Opening an app with super+num shorcut doesn't give focus to the app
    (LP: #1125331)
  * Alt+` and detail switcher broken after revision 3153 (LP: #1129372)

  [ Sam Spilsbury ]
  * Unity unnecessarily clears the ShapeBounding shape of windows on
    minimize (LP: #1091600)
  * Can't access minimized window after Unity restarts (LP: #851964)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3163
 -- Automatic PS uploader <email address hidden> Tue, 19 Feb 2013 14:26:14 +0000

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Stephen M. Webb (bregma) wrote :

Fix Released in Unity Unity 7.0.0 "R series".

Changed in unity:
status: Fix Committed → Fix Released
John Lea (johnlea) on 2013-06-20
Changed in ayatana-design:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints